profile-image

hipersayanx

hipersayan x , Argentina
Webcamoid

Graphics 73 comments

Score 80%
80 Likes
20 Dislikes
Oct 10 2017
Added thank!
Also, thins line:

inherit eutils kde4-base qt4-r2

must not be changed to just:

inherit eutils

since Webcamoid doesn't depends in KDE and it can't be build with Qt4?
- Feb 26 2016
Now, in Webcamoid 7.0.0, you can use the virtual camera feature for feeding other programs like Skype and Hangouts. You need to install v4l2loopback from your repositories.
- Feb 25 2016
Seems that Sisyphus repository contains latest versions for Qt.

http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/files/x86_64/RPMS/

Configure that repository, update your system and try again. - Sep 08 2015
Hi, you are using Qt 5.3.1, you need Qt 5.4 or higher.

http://doc.qt.io/qt-5/qbytearray.html#toStdString
- Sep 07 2015
That feature is already planed for 6.x ~ 7.x.
- Oct 12 2014
Quote:
I've installed package You asked me (but it was for saucy not trusty- wich is my distribution).


Yeah, I know, thats a packaging error, there are many distros, versions, and architectures, I can't manage all at same time. Linus Torvalds explained this problem in a recent talk:

https://www.youtube.com/watch?v=1Mg5_gxNXTo

Quote:
webcamoid: error while loading shared libraries: libQt5Widgets.so.5: cannot open shared object file: No such file or directory


You must install libqt5widgets5.
- Oct 12 2014
I've tested it on Ubuntu 14.04, you need to install this package:

http://packages.ubuntu.com/saucy-updates/libx264-123
- Oct 11 2014
Try with:

sudo apt-get install libqt5multimedia5 opencv-data

And then:

sudo dpkg -i webcamoid_5.1.0-1_amd64.deb
- Oct 04 2014
I've that experience will working in the next version (I'll remove lrelease as dependency for 6.0.0).
For now, try changing this lines:

https://github.com/hipersayanX/Webcamoid/blob/master/commons.pri#L42
https://github.com/hipersayanX/Webcamoid/blob/master/Qb/commons.pri#L42

from:

lrelease -qt=5

to:

lrelease-qt5
- Oct 03 2014
I'm an Arch Linux and Qt Creator user, and I've not any problem building Webcamoid.
Can you paste the full error report? - Oct 03 2014
Multicore build is not possible for now. Its a bug inherited from QMake.

https://github.com/hipersayanX/Webcamoid/issues/3#issuecomment-19999212
- Oct 02 2014
Did you tried these instructions?

https://github.com/hipersayanX/Webcamoid/wiki/Build-and-install-the-Arch-package
- Oct 01 2014
Hi, in case you can't install Webcamoid in Debian/Ubuntu/Mint you can compile it from the sources:

https://github.com/hipersayanX/Webcamoid/wiki/Build-and-install-the-Debian-package
- Aug 09 2014
Compiling Webcamoid is very easy, what error gives you?

Making a package for each distribution and architecture is impossible for me.
If you want an Webcamoid package for your distribution,request it to the package maintainers of your distribution:

forums.linuxmint.com/viewforum.php?f=31
wiki.ubuntu.com/UbuntuDevelopment/NewPackages
- Oct 13 2013
I suppose that they will update the Python bindings when completed the port to Qt5. I don't think you have to worry about that, it will be a big disaster if they remove the support for a very popular programming languaje.
In my case, I don't want the port to C++ but I hanven't other option, it's due to an unsolvable problem between the Python GIL and the GTK and Qt threads :(
- Nov 19 2012
Great, Thanks! :D - Oct 14 2012
What Debian stage are you using? Stable? Testing? Sid? - Aug 06 2012
What is your KDE version?
- Aug 06 2012
All right, test the new version (3.1.0). - Aug 03 2012
Webcamoid works with Python 2.7 only. But anyways I will upload an update as soon as possible, I have some problems with github at this moment.
- Aug 03 2012
I will continue adding new features later, but in the future I want to join Webcamoid with my other proyect to provide more advanced features such as augmented reality:

https://github.com/hipersayanX/Carnival-LiveCam
- Mar 02 2012
I was tested webcamoid 12 hours on Arch (Chakra and Arch have similar packages versions).
Now, I tested it in a Kubuntu netbook around 6 hours, it goes slow but does not crashes.
- Mar 02 2012
Ok, tested for 12 hours continuously with the same webcam, no crashing, test the new version again.
- Mar 01 2012
Fixed thanks you, download and test the latest version.
- Feb 29 2012
What version have you installed? There are some problems with the previous version (1.1.1)
- Dec 20 2011
Jajaja XD, at your wish:

http://nevseoboi.com.ua/uploads/posts/2011-03/1301320747_1920s1200_awp_179_www.nevseoboi.com.ua.jpg
- Nov 27 2011
When you say that the image is bad quality, you mean low resolution? Is pixelated? Low FPS? when you take a picture, what is the resolution of that photo? What is the resolution of your webcam?
- Aug 31 2011
Both OpenCV and VLC, for example in Linux, use V4L to capture images from the webcam. Possible reasons why in VLC the image look better can be:

- Maybe VLC captures images in higher resolution, I think that OpenCV does too, but I can not prove it because the only webcams that I have, both have a maximum resolution of 640x480 :(
- VLC uses filters to improve image quality, while Webcamoid shows pictures as they come from the webcam, without filters.
- Aug 29 2011
CPU temperature meter

Plasma 4 Widgets 5 comments

Score 55%
55 Likes
45 Dislikes
Feb 21 2015
Thanks to you for your contribution. - Apr 25 2014
Hi, I have added a github repository:

https://github.com/hipersayanX/cpu-temperature-meter

Can you push your changes there? - Apr 23 2014
Latest news

Plasma 4 Widgets 17 comments

Score 63%
63 Likes
37 Dislikes
Feb 17 2013
Good Job :) - Mar 18 2013
Lock It (File Locker/Unlocker)

Dolphin Service Menus 13 comments

Score 55%
55 Likes
45 Dislikes
Feb 07 2012
On Arch Linux it works well, I use it day-by-day. I don't know what do you meant with "errors", I tested the code in Bash before and give no errors.
Are you using the last version?
- Apr 14 2012
I not tested this service in KDE 3.5, just in KDE 4, I have no idea if this is a problem related to your desktop, sorry.
If you have a folder that is still locked, you can unlock it with:

su -c 'chattr -i -R /path/to/folder'

For files, just remove the -R parameter.
- Apr 13 2012
Fixed thank you! - Jan 14 2012
What file system are you using?
If you run this command:

sudo chattr +i -R folderToLock

or

sudo chattr +i fileToLock

What is the error message?
- Jan 14 2012
What do you mean with "normally"?
Once a file is locked you can access it for view and read, but you can't access it for edit, write or delete, not even root can do it, not even from a LiveCD.
But this work only on files and folders located in ext2, ext3 and ext4 partitions.
- Jan 10 2012
Fixed, thank you. - Jan 10 2012
Latest news

Plasma 4 Widgets

Score 63%
63 Likes
37 Dislikes
Mar 18 2013